This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Update ExtUtils-MakeMaker to CPAN version 6.59
authorChris 'BinGOs' Williams <chris@bingosnet.co.uk>
Fri, 5 Aug 2011 17:38:51 +0000 (18:38 +0100)
committerChris 'BinGOs' Williams <chris@bingosnet.co.uk>
Fri, 5 Aug 2011 17:38:51 +0000 (18:38 +0100)
  [DELTA]

  6.59  Fri Aug  5 12:09:00 BST
    No changes since 6.58_01

  6.58_01  Wed Aug  3 21:12:00 BST
    Doc Fixes
    * Corrected the repository location [chorny]

    Bug Fixes
    * Removed the %INC check from _has_cpan_meta and updated the CPAN::Meta
      bundled with EUMM to one that doesn't set $VERSION in a begin block
      so it can't appear to be loaded, thus causing us to mistakenly try
      and call methods on CPAN::Meta modules - this is due to older versions
      in site_perl shadowing our installation of other bundled modules.
      [rt.cpan.org 69465] [rt.cpan.org 69900] [MSTROUT]

30 files changed:
Porting/Maintainers.pl
cpan/ExtUtils-MakeMaker/Changes
cpan/ExtUtils-MakeMaker/MANIFEST
cpan/ExtUtils-MakeMaker/lib/ExtUtils/Command/MM.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/Liblist.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/Liblist/Kid.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MM.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MM_AIX.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MM_Any.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MM_BeOS.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MM_Cygwin.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MM_DOS.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MM_Darwin.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MM_MacOS.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MM_NW5.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MM_OS2.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MM_QNX.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MM_UWIN.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MM_Unix.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MM_VMS.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MM_VOS.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MM_Win32.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MM_Win95.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MY.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MakeMaker.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/MakeMaker/Config.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/Mkbootstrap.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/Mksymlists.pm
cpan/ExtUtils-MakeMaker/lib/ExtUtils/testlib.pm
pod/perldelta.pod

index fd7c3cc..94d9281 100755 (executable)
@@ -731,7 +731,7 @@ use File::Glob qw(:case);
     'ExtUtils::MakeMaker' =>
        {
        'MAINTAINER'    => 'mschwern',
-       'DISTRIBUTION'  => 'MSCHWERN/ExtUtils-MakeMaker-6.58.tar.gz',
+       'DISTRIBUTION'  => 'MSTROUT/ExtUtils-MakeMaker-6.59.tar.gz',
        'FILES'         => q[cpan/ExtUtils-MakeMaker],
        'EXCLUDED'      => [ qr{^t/lib/Test/},
            qr{^(bundled|my)/},
index e549e9c..3938910 100644 (file)
@@ -1,3 +1,18 @@
+6.59  Fri Aug  5 12:09:00 BST
+    No changes since 6.58_01
+
+6.58_01  Wed Aug  3 21:12:00 BST
+    Doc Fixes
+    * Corrected the repository location [chorny]
+
+    Bug Fixes
+    * Removed the %INC check from _has_cpan_meta and updated the CPAN::Meta
+      bundled with EUMM to one that doesn't set $VERSION in a begin block
+      so it can't appear to be loaded, thus causing us to mistakenly try
+      and call methods on CPAN::Meta modules - this is due to older versions
+      in site_perl shadowing our installation of other bundled modules.
+      [rt.cpan.org 69465] [rt.cpan.org 69900] [MSTROUT]
+
 6.58  Wed Jul  6 14:17:06 PDT 2011
     No changes since 6.57_11
 
index 0f31fec..ef9ec12 100644 (file)
@@ -164,4 +164,3 @@ t/xs.t
 TODO
 META.yml                                 Module YAML meta-data (added by MakeMaker)
 META.json                                Module JSON meta-data (added by MakeMaker)
-SIGNATURE                                Public-key signature (added by MakeMaker)
index 5a33bff..269514f 100644 (file)
@@ -10,7 +10,7 @@ our @ISA = qw(Exporter);
 
 our @EXPORT  = qw(test_harness pod2man perllocal_install uninstall 
                   warn_if_old_packlist);
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 my $Is_VMS = $^O eq 'VMS';
 
index a4e2666..23b199a 100644 (file)
@@ -2,7 +2,7 @@ package ExtUtils::Liblist;
 
 use strict;
 
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 use File::Spec;
 require ExtUtils::Liblist::Kid;
index a0e2f24..125d2be 100644 (file)
@@ -11,7 +11,7 @@ use 5.006;
 
 use strict;
 use warnings;
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 use ExtUtils::MakeMaker::Config;
 use Cwd 'cwd';
index ce3e073..dd43cc7 100644 (file)
@@ -3,7 +3,7 @@ package ExtUtils::MM;
 use strict;
 use ExtUtils::MakeMaker::Config;
 
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 require ExtUtils::Liblist;
 require ExtUtils::MakeMaker;
index 3d33e7f..0d356e3 100644 (file)
@@ -1,7 +1,7 @@
 package ExtUtils::MM_AIX;
 
 use strict;
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 require ExtUtils::MM_Unix;
 our @ISA = qw(ExtUtils::MM_Unix);
index 6a50c01..ee3e6bf 100644 (file)
@@ -1,7 +1,7 @@
 package ExtUtils::MM_Any;
 
 use strict;
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 use Carp;
 use File::Spec;
@@ -730,8 +730,8 @@ CMD
 
 sub _has_cpan_meta {
     return eval {
-      $INC{'CPAN/Meta.pm'} or require CPAN::Meta;
-      CPAN::Meta->VERSION(2.110350);
+      require CPAN::Meta;
+      CPAN::Meta->VERSION(2.112150);
       1;
     };
 }
@@ -816,6 +816,11 @@ on, no guarantee is made though.
 sub _fix_metadata_before_conversion {
     my ( $metadata ) = @_;
 
+    # we should never be called unless this already passed but
+    # prefer to be defensive in case somebody else calls this
+
+    return unless _has_cpan_meta;
+
     my $bad_version = $metadata->{version} &&
                       !CPAN::Meta::Validator->new->version( 'version', $metadata->{version} );
 
@@ -1291,7 +1296,7 @@ sub realclean {
     # Special exception for the perl core where INST_* is not in blib.
     # This cleans up the files built from the ext/ directory (all XS).
     if( $self->{PERL_CORE} ) {
-       push @dirs, qw($(INST_AUTODIR) $(INST_ARCHAUTODIR));
+        push @dirs, qw($(INST_AUTODIR) $(INST_ARCHAUTODIR));
         push @files, values %{$self->{PM}};
     }
 
index 15918c9..368d370 100644 (file)
@@ -26,7 +26,7 @@ require ExtUtils::MM_Any;
 require ExtUtils::MM_Unix;
 
 our @ISA = qw( ExtUtils::MM_Any ExtUtils::MM_Unix );
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 
 =item os_flavor
index 7417b43..5f10d1e 100644 (file)
@@ -9,7 +9,7 @@ require ExtUtils::MM_Unix;
 require ExtUtils::MM_Win32;
 our @ISA = qw( ExtUtils::MM_Unix );
 
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 
 =head1 NAME
index 915fc33..a8643c6 100644 (file)
@@ -2,7 +2,7 @@ package ExtUtils::MM_DOS;
 
 use strict;
 
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 require ExtUtils::MM_Any;
 require ExtUtils::MM_Unix;
index ca120a3..05cbd92 100644 (file)
@@ -7,7 +7,7 @@ BEGIN {
     our @ISA = qw( ExtUtils::MM_Unix );
 }
 
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 
 =head1 NAME
index 33e5036..4582a6d 100644 (file)
@@ -2,7 +2,7 @@ package ExtUtils::MM_MacOS;
 
 use strict;
 
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 sub new {
     die <<'UNSUPPORTED';
index 3e4ca58..a1ef531 100644 (file)
@@ -22,7 +22,7 @@ use strict;
 use ExtUtils::MakeMaker::Config;
 use File::Basename;
 
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 require ExtUtils::MM_Win32;
 our @ISA = qw(ExtUtils::MM_Win32);
index 4d10020..9af648c 100644 (file)
@@ -5,7 +5,7 @@ use strict;
 use ExtUtils::MakeMaker qw(neatvalue);
 use File::Spec;
 
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 require ExtUtils::MM_Any;
 require ExtUtils::MM_Unix;
index f81c1c3..402e72c 100644 (file)
@@ -1,7 +1,7 @@
 package ExtUtils::MM_QNX;
 
 use strict;
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 require ExtUtils::MM_Unix;
 our @ISA = qw(ExtUtils::MM_Unix);
index 6b9b6a6..17afb3b 100644 (file)
@@ -1,7 +1,7 @@
 package ExtUtils::MM_UWIN;
 
 use strict;
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 require ExtUtils::MM_Unix;
 our @ISA = qw(ExtUtils::MM_Unix);
index b854887..324885e 100644 (file)
@@ -15,7 +15,7 @@ use ExtUtils::MakeMaker qw($Verbose neatvalue);
 
 # If we make $VERSION an our variable parse_version() breaks
 use vars qw($VERSION);
-$VERSION = '6.58';
+$VERSION = '6.59';
 $VERSION = eval $VERSION;
 
 require ExtUtils::MM_Any;
index 3d52b87..9e640f3 100644 (file)
@@ -15,7 +15,7 @@ BEGIN {
 
 use File::Basename;
 
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 require ExtUtils::MM_Any;
 require ExtUtils::MM_Unix;
index 9a427c6..b0fd476 100644 (file)
@@ -1,7 +1,7 @@
 package ExtUtils::MM_VOS;
 
 use strict;
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 require ExtUtils::MM_Unix;
 our @ISA = qw(ExtUtils::MM_Unix);
index 5a1fd32..05a1976 100644 (file)
@@ -27,7 +27,7 @@ use ExtUtils::MakeMaker qw( neatvalue );
 require ExtUtils::MM_Any;
 require ExtUtils::MM_Unix;
 our @ISA = qw( ExtUtils::MM_Any ExtUtils::MM_Unix );
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 $ENV{EMXSHELL} = 'sh'; # to run `commands`
 
index 71115a8..b015828 100644 (file)
@@ -2,7 +2,7 @@ package ExtUtils::MM_Win95;
 
 use strict;
 
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 require ExtUtils::MM_Win32;
 our @ISA = qw(ExtUtils::MM_Win32);
index 5591d47..1e8eb4d 100644 (file)
@@ -3,7 +3,7 @@ package ExtUtils::MY;
 use strict;
 require ExtUtils::MM;
 
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 our @ISA = qw(ExtUtils::MM);
 
 {
index 6173b6b..c8c3c23 100644 (file)
@@ -18,7 +18,7 @@ our @Overridable;
 my @Prepend_parent;
 my %Recognized_Att_Keys;
 
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 $VERSION = eval $VERSION;
 
 # Emulate something resembling CVS $Revision$
@@ -2869,7 +2869,7 @@ generated Makefile along with your report.
 
 For more up-to-date information, see L<http://www.makemaker.org>.
 
-Repository available at L<http://github.com/schwern/extutils-makemaker>.
+Repository available at L<https://github.com/Perl-Toolchain-Gang/ExtUtils-MakeMaker>.
 
 =head1 LICENSE
 
index 70ee092..58bbdd6 100644 (file)
@@ -2,7 +2,7 @@ package ExtUtils::MakeMaker::Config;
 
 use strict;
 
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 use Config ();
 
index bc3bd34..bf855b9 100644 (file)
@@ -3,7 +3,7 @@ package ExtUtils::Mkbootstrap;
 # There's just too much Dynaloader incest here to turn on strict vars.
 use strict 'refs';
 
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 require Exporter;
 our @ISA = ('Exporter');
index e7ff00c..9609f64 100644 (file)
@@ -10,7 +10,7 @@ use Config;
 
 our @ISA = qw(Exporter);
 our @EXPORT = qw(&Mksymlists);
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 sub Mksymlists {
     my(%spec) = @_;
index 623e010..2d235ac 100644 (file)
@@ -3,7 +3,7 @@ package ExtUtils::testlib;
 use strict;
 use warnings;
 
-our $VERSION = '6.58';
+our $VERSION = '6.59';
 
 use Cwd;
 use File::Spec;
index 0f83b03..846526f 100644 (file)
@@ -128,6 +128,10 @@ to version 1.999002 and a new C<skip_cwd> attribute has been added.
 
 =item *
 
+L<ExtUtils::MakeMaker> has been upgraded from version 6.58 to version 6.59
+
+=item *
+
 L<IPC::Open3> has been upgraded from version 1.11 to 1.12.
 
 C<open3> with "-" for the program name works once more.  This was broken in